@import url("assets/css/class-display.css");

/* VARIABLES */
:root {
  --c-dark: #212529;
  --c-brand: #4e57d4;
  --c-brand-light: #4e57d4;
  --c-brand-rgb: (78, 87, 212);
  --c-body: #727272;
  --font-base: "ClashDisplay", sans-serif;
  --box-shadow: 0px 15px 25px rgba(0, 0, 0, 0.08);
  --transition: all 0.5s ease;
}

/* RESET & HELPERS*/
body {
  font-family: var(--font-base);
  line-height: 1.7;
  color: var(--c-body);
}
h1,
h2,
h3,
h4,
h5,
h6,
.h1 .h2 .h3 .h4 .h5 .h6 {
  font-weight: 600;
  color: var(--c-dark);
}
a {
  text-decoration: none;
  color: var(--c-brand);
  transition: var(--transition);
}
a:hover {
  color: var(--c-brand-light);
}
img {
  max-width: 100%;
  height: auto;
}

.section-padding {
  padding-top: 140px;
  padding-bottom: 140px;
}

/* NAVBAR */
.navbar {
  box-shadow: var(--box-shadow);
}
.navbar-brand {
  font-size: 30px;
  font-weight: 700;
}
.navbar-nav .nav-link {
  font-weight: 500;
  color: var(--c-dark);
}
.navbar-nav .nav-link.active {
  color: var(--c-brand);
}

/* BTN */
.btn {
  font-weight: 600;
  font-size: 14px;
  text-transform: uppercase;
  border-radius: 0;
  padding: 10px 24px;
}
.btn-brand {
  background-color: var(--c-brand);
  border-color: var(--c-brand);
  color: white;
}
.btn-brand:hover {
  background-color: var(--c-brand-light);
  border-color: var(--c-brand-light);
  color: white;
}

/* HERO */
#hero {
  background: linear-gradient(rgba(0, 0, 0, 0.507), rgba(0, 0, 0, 0.438)),
    url("/background.jpg");
  background-position: center;
  background-size: cover;
  min-height: 100vh;
}

/* SECTION TITLE */
.section-title {
  margin-bottom: 60px;
}
.section-title .line {
  width: 60px;
  height: 4px;
  background-color: var(--c-brand);
  margin: 16px auto 24px auto;
}
.section-title p {
  max-width: 500px;
  margin-left: auto;
  margin-right: auto;
}
/* FOOTER */
footer {
  padding-top: 100px;
}
.footer-top {
  padding-bottom: 40px;
  border-bottom: 1px solid rgba(255, 255, 255, 0.01);
}
.footer-bottom {
  padding-top: 40px;
  padding-bottom: 40px;
}
footer p,
footer a {
  color: rgba(255, 255, 255, 0.7);
}
footer .line {
  width: 40px;
  height: 4px;
  background-color: var(--c-brand);
  margin-top: 12px;
  margin-bottom: 24px;
}
.social-icons a {
  width: 40px;
  height: 40px;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  background-color: rgba(255, 255, 255, 0.1);
  border-radius: 100px;
}
.social-icons a:hover {
  background-color: var(--c-brand);
  color: white;
}

/* FORM */
.form-container {
  display: none; /* Initially hidden */
  position: fixed;
  max-width: 320px;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background: #fff;
  color: black;
  padding: 25px;
  border-radius: 12px;
  box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1);
  z-index: 101;
  width: 100%;
  transition: all 0.4s ease-out;
}

.form-container .form_close {
  position: absolute;
  top: 10px;
  right: 20px;
  font-size: 22px;
  opacity: 0.7;
  cursor: pointer;
}
.form-container h2 {
  font-size: 22px;
  color: #0b0217;
  text-align: center;
}

.input_box {
  position: relative;
  margin: 15px 0;
}

.input_box input {
  width: 100%;
  padding: 10px;
  border: 1px solid #aaa;
  border-radius: 5px;
}

.input_box i {
  position: absolute;
  right: 10px;
  top: 50%;
  transform: translateY(-50%);
  color: gray;
  cursor: pointer;
}

.button {
  width: 100%;
  padding: 10px;
  border: none;
  background: #ff8c00;
  color: white;
  font-size: 1rem;
  cursor: pointer;
  border-radius: 5px;
}

.button:hover {
  background: #e07b00;
}
.form_close {
  position: absolute;
  top: 10px;
  right: 20px;
  color: #0b0217;
  font-size: 22px;
  opacity: 0.7;
  cursor: pointer;
  transition: color 0.3s ease;
}

.form_close:hover {
  color: red;
}
